Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

normal construction line api

1 REPLY 1
SOLVED
Reply
Message 1 of 2
rudisoft
774 Views, 1 Reply

normal construction line api

How do I make a line a normal/contruction line from the API?

 

starting from here:

 

app = adsk.core.Application.get()

ui = app.userInterface

product = app.activeProduct

 rootComp = product.rootComponent

sketches = rootComp.sketches

xyPlane= rootComp.xYConstructionPlane

sketch = sketches.add(xyPlane)

lines = sketch.sketchCurves.sketchLines

line1 = lines.addByTwoPoints(adsk.core.Point3D.create(1,1, 0), adsk.core.Point3D.create(2,2, 0))

 

now, how do I get line1 to be a construction line?

1 REPLY 1
Message 2 of 2
ekinsb
in reply to: rudisoft

Just add the line below

 

line1.isConstruction = True

Brian Ekins
Inventor and Fusion 360 API Expert
Mod the Machine blog

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report